<?php
// Copyright 1999-2017. Plesk International GmbH. All rights reserved.

namespace Plesk\MigrationLibV8\SiteImport\Entity\SiteInfo;

class SiteInfo
{
    /** @var \Plesk\MigrationLibV8\SiteImport\Entity\SiteInfo\Application[] */
    private $_applications;
    /** @var \Plesk\MigrationLibV8\SiteImport\Entity\SiteInfo\Folder */
    private $_rootFolder;
    /** @var string */
    private $_rootPath;
    /** @var string */
    private $_documentRoot;
    /** @var string */
    private $_siteName;

    /**
     * SiteInfo constructor.
     *
     * @param $applications \Plesk\MigrationLibV8\SiteImport\Entity\SiteInfo\Application[]
     * @param $rootFolder \Plesk\MigrationLibV8\SiteImport\Entity\SiteInfo\Folder
     * @param $rootPath string
     * @param $documentRoot string
     * @param $siteName string
     */
    public function __construct($applications, $rootFolder, $rootPath, $documentRoot, $siteName)
    {
        $this->_applications = $applications;
        $this->_rootFolder = $rootFolder;
        $this->_rootPath = $rootPath;
        $this->_documentRoot = $documentRoot;
        $this->_siteName = $siteName;
    }

    /**
     * @return \Plesk\MigrationLibV8\SiteImport\Entity\SiteInfo\Application[]
     */
    public function getApplications()
    {
        return $this->_applications;
    }

    /**
     * @return \Plesk\MigrationLibV8\SiteImport\Entity\SiteInfo\Folder
     */
    public function getRootFolder()
    {
        return $this->_rootFolder;
    }

    /**
     * @return string
     */
    public function getRootPath()
    {
        return $this->_rootPath;
    }

    /**
     * @return string
     */
    public function getDocumentRoot()
    {
        return $this->_documentRoot;
    }

    /**
     * @return string
     */
    public function getSiteName()
    {
        return $this->_siteName;
    }
}
